<?php

namespace Koneko\VuexyWarehouse\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ProductPropertyValue extends Model
{
    use HasFactory;

    protected $table = 'product_property';
    protected $primaryKey = 'id';
    public $incrementing = false;
    protected $keyType = 'mediumint';

    protected $fillable = [
        'product_id',
        'property_id',
        'value',
    ];

    /**
     * Relación con el producto.
     */
    public function product(): BelongsTo
    {
        return $this->belongsTo(Product::class, 'product_id');
    }

    /**
     * Relación con la propiedad del producto.
     */
    public function property(): BelongsTo
    {
        return $this->belongsTo(ProductProperty::class, 'property_id');
    }
}
